:root {
  --primary-color: #333;
  --secondary-color: #444;
  --overlay-color: rgba(0, 0, 0, 0.7);
}
html {
  scroll-behavior: smooth;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  font-family: 'Catamaran', sans-serif;
  line-height: 1.6;
  color: #333;
  font-size: 1.1rem;
}

h1,
h2,
h3,
h4 {
  line-height: 1.3;
}

a {
  color: #444;
  text-decoration: none;
}

ul {
  list-style: none;
}

img {
  width: 100%;
}

.container {
  max-width: 1100px;
  margin: auto;
  overflow: hidden;
  padding: 0 2rem;
}

/* 
* ---- Section-a ---- 
*/

.section-intro {
  margin: 2rem 0;
}

.section-intro .container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 3rem;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.section-intro h1 {
  font-size: 4rem;
  color: var(--primary-color);
}

.section-intro p {
  margin: 1rem 0;
}

.section-intro img {
  border-radius: 20px;
}
/* 
* ---- Section-about ---- 
*/

.section-about {
  position: relative;
  /* background: url('https://i.ibb.co/1RS1dqC/section-b.jpg') no-repeat bottom center/cover; */
  background: url('../images/IMG_1.jpg') no-repeat bottom center/cover;
  height: 590px;
}



.section-b-1 {
  position: relative;
  background: url("../images/album-shop-fullscreen.png") no-repeat bottom center/cover;
  height: 550px;
}

.section-b-2 {
  position: relative;
  background: url("../images/its-quiz-time-fullscreen.png") no-repeat bottom center/cover;
  height: 550px;
}
.section-b-2 a {
  padding: 8px 12px;
  border: 1px solid #fff;
  border-radius: 3px;
  text-decoration: none;
  text-align: center;
  font-weight: bold;
  color: #fff;
}

.section-b-3 {
  position: relative;
  background: url("../images/my-places-screenshot.png") no-repeat bottom center/cover;
  height: 550px;
}
.section-b-3 a {
  padding: 8px 12px;
  border: 1px solid #fff;
  border-radius: 3px;
  text-decoration: none;
  text-align: center;
  font-weight: bold;
  color: #fff;
}
.section-b-inner {
  color: #fff;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  text-align: center;
  margin: auto;
  max-width: 860px;
  padding: 5rem 0;
}

.section-b-inner h3 {
  font-size: 2rem;
}

.section-b-inner h2 {
  font-size: 4rem;
  margin-top: 1rem;
}

.section-b-inner p {
  margin-top: 1rem;
  font-size: 1.5rem;
}
.section-skills {
  /* max-width: 1100px;
  margin: 6rem auto 6rem auto;
  padding: 0 2rem; */
  text-align: center;
  position: relative;
  background: url("../images/skills-img-4.jpg") no-repeat bottom center/cover;
  height: 590px;
}

.section-skills .column {
  -webkit-flex: 1;
  -ms-flex: 1;
  flex:1;
  height: 200px; 
  padding: 1rem 1rem;;
}
.section-skills-inner {
  color: #fff;
  height: 100%;
  text-align: center;
  margin: auto;
  max-width: 860px;
  padding: 5rem 0;
}
.section-skills-inner h3 {
  font-size: 2rem;
}

.section-skills-inner h2 {
  font-size: 4rem;
  margin-top: 1rem;
}

.section-skills-inner p {
  margin-top: 1rem;
  font-size: 1.5rem;
}


.section-c .gallery {
  display: grid;
  grid-template-columns: repeat(5, 1fr);
}
.section-c .gallery a:first-child {
  /* grid-row-start: 1;
  grid-row-end: 3; */
  grid-row: 1/3;
  grid-column: 1/3;
}

.section-c .gallery a:nth-child(2) {
  grid-column-start: 3;
  grid-column-end: 5;
}

.section-c .gallery img,
.section-c .gallery a {
  width: 100%;
  height: 100%;
}

/* 
* ---- Section-education ---- 
*/

.section-edu {
  position: relative;
  background: url('../images/education.jpg') no-repeat bottom center/cover;
  height: 500px;
}



/* back to top btn */
#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: red;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
}

#myBtn:hover {
  background-color: #333;
}

.section-footer {
  background: var(--primary-color);
  color: #fff;
  padding: 4rem 0;
}

.section-footer .container {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-gap: 1rem;
}

.section-footer h2 {
  font-size: 2rem;
  margin-bottom: 1rem;
}

.section-footer h3 {
  margin-bottom: 0.7rem;
}

.section-footer a {
  line-height: 1.9;
  color: #ccc;
}

.section-footer a > i {
  color: #555;
  margin-right: 0.5rem;
}
.section-footer img {
  height: 28px;
  width: 28px;
}

.email-form {
  width: 100%;
  display: inline-block;
  background-color: #555;
  position: relative;
  border-radius: 20px;
  line-height: 0;
  margin-top: 1rem;
}

/* // .form-control-wrap {
// 	position: relative;
// 	display: inline-block;
// 	width: 100%;
// } */

.email-form .form-control {
  display: inline-block;
  border: 0;
  outline: 0;
  font-size: 1rem;
  color: #ddd;
  background-color: transparent;
  font-family: inherit;
  margin: 0;
  padding: 0 3rem 0 1.5rem;
  width: 100%;
  height: 45px;
  border-radius: 20px;
}

.email-form .submit {
  display: inline-block;
  position: absolute;
  top: 0;
  right: 0;
  width: 45px;
  height: 45px;
  background-color: #eee;
  font-size: 1rem;
  text-align: center;
  margin: 0;
  padding: 0;
  outline: 0;
  border: 0;
  color: #333;
  cursor: pointer;
  border-radius: 0 20px 20px 0;
}

.btn {
  display: inline-block;
  background: #333;
  width: 130px;
  text-align: center;
  color: #fff;
  padding: 0.8rem 1.2rem;
  /* border: none; */
  border: 1px solid #fff;
  cursor: pointer;
  font-size: 1.1rem;
  border-radius: 30px;
  margin: 5px 12px;
}

.btn:hover {
  background: #555;
}

footer {
  width: 100%;
  text-align: center;
  align-items: center;
  display: flex;
  flex-direction: column;
  /* margin-bottom: 60px; */
  background: #555;
  color: #fff;
  padding: 2rem;
}
footer small {
  color: #b1b1b1;
  font-weight: bold;
}
footer .hire-me {
  margin-top: 20px;
  padding: 12px 22px;
  border: 1px solid #b1b1b1;
  border-radius: 3px;
  text-decoration: none;
  width: 120px;
  text-align: center;
  font-weight: bold;
  color: #b1b1b1;
}
.social-media {
  list-style-type: none;
  line-height: 28px;
  display: flex;
  padding: 0;
  margin-top: 20px;
}
.social-media li {
  display: inline-block;
  margin: 0 20px;
  
}
.social-media li a {
  text-decoration: none;
  color: #b1b1b1;
}
.social-media li a img{
  height: 28px;
  width: 28px;
}
.social-media li:hover a{
  text-decoration: none;
  color: #333333;
}
.project-btns {
  display: inline-block;
  margin: 1.5rem 0;
  list-style-type: none;
  line-height: 28px;
  display: flex;
  padding: 0;
}

.project-btns a {
  background: #fff;
  width: 130px;
  padding: 0.8rem 1.2rem;
  /* border: 1px solid #fff; */
  border-radius: 30px;
  text-decoration: none;
  text-align: center;
  font-weight: bold;
  color: #000000;
  font-size: 1.1rem;
  margin: 0 5px;
}

.project-btns a:hover{
  background: silver;
}

.overlay {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background-color: rgba(0, 0, 0, 0.8);
}

.row {
  display: -webkit-flex;
  display: flex;
}


.cover {
  height: 100%;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  background:url('../images/under-construction.jpg') no-repeat bottom center/cover;
}

.cover .text-msg{
  text-align: center;
  
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.text-msg h1{
  font-size: 3em;
  color: white;
}
.text-msg h3{
  font-size: 2em;
  color: white;
}
.text-msg a{
  margin: 5px;
  padding: 5px 15px; 
  border-radius: 3px;
  color: #b1b1b1;
  border: 1px solid #b1b1b1;
}
.text-msg a:hover {
  color: white;
  border: 1px solid white;
}


@media (max-width: 768px) {

  .menu {
    justify-content: center;
  }
  .logo {
    flex: 1;
  }
  
  .section-intro .container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .section-intro .container div:first-child {
    order: 2;
  }

  .section-intro .container div:nth-child(2) {
    order: -1;
  }

  .section-intro img {
    width: 80%;
    margin: auto;
  }
  .section-b-inner h3 {
    font-size: 2rem;
  }

  .section-b-inner h2 {
    font-size: 3rem;
    margin-top: 1rem;
  }
  .section-skills-inner h3 {
    font-size: 2rem;
  }

  .section-skills-inner h2 {
    font-size: 3rem;
    margin-top: 1rem;
  }
  .section-skills {
    height: 1400px;
  }
  .section-skills-inner h3 {
    padding: 2rem 0;
  }

  .section-edu, .section-about, .section-b-1, .section-b-2, .section-b-3 {
    height: 800px;
  }
  .section-b-1 .project-btns li {
    margin: 0;
  }
  .section-b-1 .project-btns li a{
    padding: 0.7rem 1.2rem;
  }
  .section-b-2 .project-btns li {
    margin: 0;
  }
  .section-b-2 .project-btns li a{
    padding: 0.7rem 1.2rem;
  }
  .section-b-3 .project-btns li {
    margin: 0;
  }
  .section-b-3 .project-btns li a{
    padding: 0.7rem 1.2rem;
  }
  .row {
    -webkit-flex-direction: column;
    flex-direction: column;
  }
  .section-c .gallery {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }
  .section-c .gallery a:first-child {
    grid-row: 1/1;
    grid-column: 1/1;
  }

  .section-c .gallery a:nth-child(2) {
    grid-column: 2/4;
    grid-row: 2/2;
  }

  .section-c .gallery a:last-child {
    display: none;
  }

  .section-footer {
    padding: 2rem 0;
  }
  .section-footer .container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .section-footer div:nth-child(2),
  .section-footer div:nth-child(3) {
    display: none;
  }
  




}